Summary: An interpreted, interactive object-oriented programming language.
%define _target_cpu i586
Name: python
Version: 1.5.2
Release: 5ml
Copyright: distributable
Group: Development/Languages
Source0: ftp://ftp.python.org/pub/python/src/py152.tgz
Source1: Python-Doc.tar.gz
Source2: cursesmodule.c
Patch0: python-1.5.2-config-tl.patch
Patch2: python-1.5-localbin.patch
Patch3: Python-1.5.1-nosed.patch
Patch4: python-optflags.patch
Patch5: python-ndbm.patch
Patch6: python-db1.patch
Patch7: python-1.5.2-ospy.patch
Buildroot: /var/tmp/python-root
Requires: gmp
BuildRequires: gmp-devel

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that
need a programmable interface. This package contains most of the
standard Python modules, as well as modules for interfacing to the
Tix widget set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.

%package devel
Summary: The libraries and header files needed for Python development.
Requires: python = %{version}
Group: Development/Libraries

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%package docs
Summary: Documentation for the Python programming language.
Group: Documentation

%description docs
The python-docs package contains documentation on the Python
programming language and interpreter.  The documentation is provided
in ASCII text files and in LaTeX source files.

Install the python-docs package if you'd like to use the documentation
for the Python language.

%package -n tkinter
Summary: A graphical user interface for the Python scripting language.
Group: Development/Languages
Requires: libtcl8.0.so libtk8.0.so

%description -n tkinter
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install the tkinter package if you'd like to use a graphical
user interface for Python programming.

%prep
%setup -q -n Python-%{PACKAGE_VERSION} -a1
%patch0 -p0 -b .config
#%patch2 -p1 -b .localbin

%patch3 -p1 -b .nosed
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 -b .ospy
find . -name "*.nosed" -exec rm -f {} \;

# Fix bad paths....
for i in `grep -r "/usr/local/bin/python" * | cut -f1 -d: | xargs ls`
do
  sed 's#/usr/local/bin/python#/usr/bin/python#g' $i > $i.tmp
  mv $i.tmp $i
done

echo ': ${LDSHARED='gcc -shared'}' > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CCSHARED='-fPIC'}' >> config.cache

cp Lib/lib-old/rand.py Lib
cp %{SOURCE2} $RPM_BUILD_DIR/Python-%{PACKAGE_VERSION}/Modules/

%build
MACHDEP=linux-$RPM_ARCH ./configure --prefix=/usr --with-threads

CC="gcc ${RPM_OPT_FLAGS}" LDFLAGS=-s make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/python

rm -f modules-list.full
for n in $RPM_BUILD_ROOT/usr/lib/python1.5/*; do
  [ -d $n ] || echo $n
done >> modules-list.full

for mod in $RPM_BUILD_ROOT/usr/lib/python1.5/lib-dynload/* ; do
  [ `basename $mod` = _tkinter.so ] || echo $mod
done >> modules-list.full
sed -e "s|$RPM_BUILD_ROOT||g" < modules-list.full > modules-list

%clean
rm -rf $RPM_BUILD_ROOT
rm -f modules-list modules-list.full

%files -f modules-list
%defattr(-,root,root)
/usr/bin/*
%dir /usr/lib/python1.5
/usr/lib/python1.5/plat-linux-*
/usr/lib/python1.5/lib-stdwin
%dir /usr/lib/python1.5/lib-dynload

%files devel
%defattr(-,root,root)
/usr/lib/python*/test
/usr/lib/python*/config
/usr/include/python1.5

%files docs
%defattr(0644,root,root,0755)
%doc Misc/COPYRIGHT Misc/NEWS Misc/HYPE Misc/README Misc/cheatsheet Misc/BLURB* 
%doc Misc/HISTORY Doc

%files -n tkinter
%defattr(-,root,root)
/usr/lib/python1.5/lib-tk
/usr/lib/python1.5/lib-dynload/_tkinter.so

%changelog
* Wed Sep 11 2002 Takuya Uchida <tuchida@miraclelinux.com>
- release 5ml
- added ospy.patch for 1.x to fix the bug caused by os.py 

* Wed Nov 17 1999 Robert Read <rread@turbolinux.com>
- add buildreqires to gmp-devel
- change arch specific directory name to plat-linux-*

* Tue Oct 11 1999 Troy D. Gillette <tgillette@turbolinux.com>
- Added cursesmodule with ncurses support

* Tue Apr 13 1999 Jim Pick <jim@jimpick.com>

- Built for TurboLinux.  Removed patches for -ldb1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- fix permissions in python-docs

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- added mpzmodule at user request (uses gmp)
- added bsddbmodule at user request (uses db 1.85 interface)

* Mon Feb 08 1999 Michael Johnson <johnsonm@redhat.com>
- add --with-threads at user request
- clean up spec file

* Fri Jan 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- New libc changes ndbm.h to db1/ndbm.h and -ldb to -ldb1

* Thu Sep  3 1998 Jeff Johnson <jbj@redhat.com>
- recompile for RH 5.2.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- python-docs used to require /usr/bin/sed. Changed to /bin/sed instead

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- fixed the spec file for version 1.5.1
- buildroot (!)

* Mon Apr 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to python 1.5.1
- created our own Python-Doc tar file from 1.5 to substitute for the
  not-yet-released Doc package.
- build _tkinter properly
- use readline again
- build crypt module again
- install rand replacement module
- added a few modules

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to python 1.5
- made /usr/lib/python1.5 file list automatically generated

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed dependencies for python and tkinter

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- pulled out tk-related stuff into tkinter package

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- bunches of scripts used /usr/local/bin/python instead of /usr/bin/python

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- updated for tcl/tk 8.0

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
